Creates a new action for an automation of a project template.

POSThttps://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/automations/{automationId}/actions
POST https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/automations/{automationId}/actions

Creates an action for a specific automation of a project template including all its values. Actions cannot be added to automations created from a workflow.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectTemplateIdstringRequired
format: uuid

The id of the project template.

automationIdstringRequired
format: uuid

The id of the automation.

Request body Required

The model to create an action.

application/json

typestringRequired
minLength: 1

The type of the action.

ordernumber or nullOptional
format: double

The order of the action.

valuesarray of objectRequired

The values of the action.

Show 2 properties
namestringRequired
minLength: 1

The name of the action value.

valueanyRequired

The value of the action value.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the action.

createdBystringOptional
format: uuid

The id of the user who created the action.

createdOnstringOptional
format: date-time

The date the action was created.

updatedBystringOptional
format: uuid

The id of the user who updated the action.

updatedOnstringOptional
format: date-time

The date the action was updated.

typestring or nullOptional

The type of the action.

ordernumber or nullOptional
format: double

The order of the action.

valuesarray of object or nullOptional

The values of the action.

Show 2 properties
namestring or nullOptional

The name of the action value.

valuestring or nullOptional

The value of the action value.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation